function [] = postProcCC(N,L,ni,nf,R,E,V)
    text1='V(';
    text2=')=';

    // afisare in fereastra dialog
    //x_message(['Vectorul potentialelor';'nodurilor:';[text1(ones(1,N))+string(1:N)+text2(ones(1,N))+[string(V(1:N))+' ']']'],['Ok']);

    // afisare in fereastra Scilab
    printf('\n\n\n\nSolutia circuitului de curent continuu:\n\nPotentialele nodurilor:\n');
    for i = 1:N,
        printf('V(%i) = %f V\n',i,V(i));
    end;

    Pg = 0; // puterea generata
    Pc = 0; // puterea consumata

    printf('\nLatura \t U [V]   \t I [A]');
    for k = 1:L,
        u = V(ni(k)) - V(nf(k)); // tensiunea la bornele laturii
        i = (u + E(k))/R(k);     // curentul prin latura
        Pg = Pg + E(k)*i;
        Pc = Pc + R(k)*i^2;
        printf('\n%i \t %20.16e \t %20.16e',k,u,i);
    end;

    printf('\n\nPuterea consumata: Pc = %f W',Pc);
    printf('\nPuterea generata: Pg = %f W',Pg);
endfunction

function [] = postProcCA(N,L,ni,nf,Z,E,V)
    text1='V(';
    text2=')=';

    printf('\n\n\n\nSolutia circuitului de curent alternativ:\n\n');//Potentialele nodurilor:\n');
    printf('\nNodul \t |V| [V] \t real(V) \t imag(V)\n');
    for i = 1:N,
        printf('%i \t %fV \t %f \t %f\n',i,norm(V(i)),real(V(i)), imag(V(i)));
    end;

    Sg = 0+0*%i; // puterea complexa generata
    Sc = 0+0*%i; // puterea complexa consumata

    printf('\nLatura \t |U| [V] \t arg(U) [rad] \t |I| [A] \t arg(I) [rad]');
    for k = 1:L,
        U = V(ni(k)) - V(nf(k)); // tensiunea la bornele laturii
        I = (U + E(k))/Z(k);     // curentul prin latura
        Sg = Sg + E(k)*conj(I);
        Sc = Sc + Z(k)*norm(I)^2;
        printf('\n%i \t %f \t %f \t %f \t %f',k,norm(U),atan(imag(U),real(U)),norm(I),atan(imag(I),real(I)));
    end;

    printf('\n\nPuterea consumata:');
    printf('\nPc = %f W \t Qc = %f WR',real(Sc),imag(Sc));
    printf('\nPuterea generata:');
    printf('\nPg = %f W \t Qg = %f WR',real(Sg),imag(Sg));
endfunction
